import Vue from 'vue'

import Cookies from 'js-cookie'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// import locale from 'element-ui/lib/locale/lang/en' // lang i18n
import locale from 'element-ui/lib/locale/lang/zh-CN' // lang i18n

import 'babel-polyfill'

import '@/styles/index.scss' // global css

import App from './App'
import store from './store'
import router from './router'
import axios from 'axios'
import '@/icons' // icon
import '@/permission' // permission control
import * as filters from './filters' // global filters
import permission from '@/directive/permission/index.js' // eslint-disable-line
// import checkPermission from '@/utils/permission'

Vue.use(permission)

// set ElementUI lang to EN

Vue.use(ElementUI, {
  size: Cookies.get('size') || 'small' // set element-ui default size
})
Vue.prototype.$ajax = axios
// register global utility filters
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

// Vue.methods({ checkPermission })

// set ElementUI lang to zh-CN
Vue.use(ElementUI, { locale })

Vue.use(require('vue-moment'))

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
