import { isFunction } from 'util'

const refresh = {
  namespaced: true,
  state: {
    funs: {}
  },
  mutations: {
    REFRESH: (state, param) => {
      if (isFunction(state.funs[param])) { state.funs[param]() }
    },
    REGISTER: (state, param) => {
      Object.assign(state.funs, param)
    },
    DESTROY: (state, param) => {
      if (param === 'all') { state.funs = {} } else { delete state.funs[param] }
    }
  },
  actions: {
    registerFun({ commit }, param) {
      commit('REGISTER', param)
    },
    refreshData({ commit }, param) {
      commit('REFRESH', param)
    },
    destroyFun({ commit }, param) {
      commit('DESTROY', param)
    }
  }
}

export default refresh
